---
updatedAt: 2026-03-06T06:39:35.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# South Africa

Sample structures of the `E_KYC_CHECK` API responses for South Africa:

* South Africa SAID Archive Verification (zaf\_gov\_id\_cache)
* South Africa SAID Verification (zaf\_gov\_id\_docfree)

# GREEN

The following response example represents successful checks.

```json JSON
{
  "checks" : [ {
    "answer" : "GREEN",
    "checkType" : "E_KYC_CHECK",
    "createdAt" : "2024-03-06 15:21:24",
    "id" : "cb6449b6-3821-407c-a8c9-65f4389257b9",
    "inputDoc" : {
      "idDocType" : "ID_CARD",
      "country" : "ZAF",
      "number" : "0101316000080"
    },
    "extractedDoc" : {
      "country" : "ZAF",
      "idDocType" : "ID_CARD",
      "number" : "0101316000080",
      "firstName" : "SIPHO",
      "lastName" : "TOURE",
      "gender" : "M", // "M" or "F"
      "dob" : "2001-01-20",
      "issueDate" : "2021-03-15",  //National ID Card issue date
      "images" : [ {
        "imageId" : 1110736932    // ID of the selfie image from the database
      } ],
      "additionalFields" : [ {
        "name" : "status",
        "value" : "Citizen" // "Citizien" or "Resident"
      } ]
    },
    "ekycCheckInfo" : { }
  } ]
}
```